use std::collections::HashSet;

use crate::manifest::FileOpt;

pub fn default_file_opts() -> HashSet<FileOpt> {
    let mut set = HashSet::with_capacity(4);

    set.insert(FileOpt::Client);
    set.insert(FileOpt::Server);
    set.insert(FileOpt::Required);
    set.insert(FileOpt::Included);

    set
}
