use serde::Deserialize;

#[derive(Deserialize)]
#[serde(rename_all = "PascalCase")]
pub struct Config {
    pub locations: Locations,
    pub downloads: Downloads,
}

#[derive(Deserialize)]
#[serde(rename_all = "camelCase")]
pub struct Locations {
    pub src: String,
    pub temp_dir: String,
}

#[derive(Deserialize)]
#[serde(rename_all = "camelCase")]
pub struct Downloads {
    pub max_threads: u16,
    pub http_timeout: u32,
}
